<?php
/*
 *      Copyright 2007 by Dag Erlandsson (langarod@gmail.com)
 *      This software is distributed under the GNU public license version 2

	Motion settings:
	All cameras must log jpeg images into directories with date with format %Y%m%d and
	with a filename start with %H%M%S e.g.
	jpeg_filename cam%t/%Y%m%d/%H%M%S-%q

	All cameras must also be configured to have a separate diretory e.g. following structure

	cam1/
		20070820/
			100820-00.jpg
			100820-01.jpg
		20070821/
			110902-00.jpg
	cam2/
		20070820/
			110820-00.jpg
		20070821/

	image_root below must point to the root of the cameras directory.
	
	printFeedProperties prints a java array with information of the Cameras and their directories, names etc.

	In php.ini you have to leave open_basedir empty or have your camera directory base e.g.
	open_basedir = /home/:/tmp/:/usr/share/pear/:/motioncaps/
	You also have to add gd support to php e.g.
	extension=gd.so

	I apache.conf you may have to add following types
	AddType image/jpeg .jpg
	AddType image/png .png
*/

$mode='applet';
//$mode='browser';

// Don't end image_root path with /
$image_root = "/var/lib/motion";

function printFeedsProperties()
{
//        Dir      Name                 LiveUrl           ConfigUrl
  echo "['cam1', 'HuvudIngång',        '/motion/live/1', '/motion/config/1'],\n";
  echo "['cam2', 'Gårdsplan',          '/motion/live/2', '/motion/config/2'],\n";
  echo "['cam3', 'Traktorgarage',      '/motion/live/3', '/motion/config/3'],\n";
  echo "['cam4', 'VägTraktorgarage',   '/motion/live/4', '/motion/config/4'],\n";
  echo "['cam5', 'Väg',                '/motion/live/5', '/motion/config/5'],\n";
  echo "['cam6', 'Verkstad',           '/motion/live/6', '/motion/config/6'],\n";
  echo "['cam7', 'Sadelkammare',       '/motion/live/7', '/motion/config/7'],\n";
  echo "['cam8', 'Experimental',       '/motion/live/8', '/motion/config/8']\n";
}
// Make sure that there isn't any extra empty line at end!
// If there are any you are not getting any valid pictures!
?>
